Bug 1638853 - [RFE] Edit an Infrastructure Mapping
Summary: [RFE] Edit an Infrastructure Mapping
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.0
Assignee: Brett Thurber
QA Contact: Yadnyawalk Tale
Red Hat CloudForms Documentation
URL:
Whiteboard: v2v
: 1571770 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-12 15:36 UTC by vconzola
Modified: 2019-02-07 23:03 UTC (History)
10 users (show)

Fixed In Version: 5.10.0.18
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:44 UTC
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ManageIQ manageiq-v2v issues 606 None None None 2018-10-12 15:36:23 UTC
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:49 UTC

Description vconzola 2018-10-12 15:36:23 UTC
Description of problem: Once a mapping is created there is no way way to go back and change it without deleting and then recreating it. 


Version-Release number of selected component (if applicable):


How reproducible: Always


Steps to Reproduce:
1. Create an infrastructure mapping
2. Want to change it but can't
3.

Actual results:
No way to edit

Expected results:
Ability to edit an existing mapping

Additional info:

Comment 2 vconzola 2018-10-12 15:38:16 UTC
This issue has already been fixed by PR: https://github.com/ManageIQ/manageiq-v2v/pull/660

Comment 4 Brett Thurber 2018-12-06 04:22:01 UTC
*** Bug 1571770 has been marked as a duplicate of this bug. ***

Comment 5 Yadnyawalk Tale 2018-12-11 12:13:27 UTC
I am sure you must be aware of this, if we have plan attached with map, we can not edit map, may be we can do it if we move map in plan to diff map and then try it. I am considering this is normal intentional usecase and hence verifying this RFE.

Verified on - 5.10.0.28.20181204160308_aa3b074

Comment 6 vconzola 2018-12-11 18:38:46 UTC
Yes, this is expected behavior. Per the conversation here (https://gitter.im/ManageIQ/v2v?at=5c0fbc9e33d9e11991b65391) we have disabled the edit function for mappings with associated plans.

Comment 7 errata-xmlrpc 2019-02-07 23:03:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.